/**
 * Created by hj on 2019/5/30.
 */
(function($){

    var $info = $('.container');    //正文内容
    var $footer = $('.footer'); //底部内容
    var $supportContent = $('.supportContent');
    var time = 300; //动画时间
    var areaId = getQuery('areaId');

    /*获取URL中的参数*/
    function getQuery(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]);
        return null;
    }

    if(areaId == 314 || areaId == 315 || areaId == 312){    //314 us、 315 Mexco 312、 Canada
        $footer.find('.callHelp').attr('href', 'https://');
    }else{
        $footer.find('.callHelp').attr('href', 'https://');
    }

    /*大标题点击*/
    $info.on('click', '.category', function(){

        var $this = $(this);
        var $second = $this.siblings('.questionsList'); //questionsList
        var $parent = $this.parents('.content');    //
        var $otherActive = $parent.siblings('.active'); //class="content"
        var $now = $parent.find('.questionContainer.now');    //uestionContainer

        if($otherActive.length){

            $otherActive.find('.questionsList').stop().slideUp(time);
            $otherActive.find('.category').removeClass('current');
            $otherActive.removeClass('active');
        }
        if($now.length){
            $now.find('.answer').hide();
            $now.find('.question').removeClass('current');
            $now.removeClass('now');
        }
        $this.toggleClass('current');
        $parent.toggleClass('active');
        $second.stop().slideToggle(time, function(){
            var offset = $this.offset();
            $('html, body').animate({scrollTop: offset.top});
        });


    }).on('touchstart', '.category', function(){
        $(this).addClass('on');
    }).on('touchmove', '.category', function() {
        $(this).removeClass('on');
    }).on('touchend', '.category', function() {
        $(this).removeClass('on');
    });

    /*问题点击*/
    $info.on('click', '.question', function(){

        var $this = $(this);
        var $parent = $this.parents('.questionContainer');
        var $third = $this.siblings('.answer');
        var $otherNow = $parent.siblings('.now'); //class="content"

        if($otherNow.length){

            $otherNow.find('.answer').stop().slideUp(time);
            $otherNow.find('.question').removeClass('current');
            $otherNow.removeClass('now');
        }

        $this.toggleClass('current');

        $third.stop().slideToggle(time, function(){
            var offset = $this.offset();
            $('html, body').animate({scrollTop: offset.top});
        });
        $parent.toggleClass('now');



    }).on('touchstart', '.question', function(){
        $(this).addClass('on');
    }).on('touchmove', '.question', function() {
        $(this).removeClass('on');
    }).on('touchend', '.question', function() {
        $(this).removeClass('on');
    });

    /*online help按钮点击*/
    $footer.on('touchstart', '.callHelp', function(){
        var $this = $(this);
        $this.addClass('hover');

    }).on('touchend', '.callHelp', function(){
        var $this = $(this);
        $this.removeClass('hover');
    });

    /*contact support按钮点击*/
    $footer.on('click', '.contactSupport', function(){
        var $this = $(this);

        $supportContent.removeClass('hide');
        $supportContent.find('.content').addClass('hide');
        if(areaId == 314 || areaId == 315 || areaId == 312){    //314 us、 315 Mexco 312、 Canada
            $supportContent.find('.usCountry').removeClass('hide');
        }else{
            $supportContent.find('.otherCountry').removeClass('hide');
        }

    }).on('touchstart', '.contactSupport', function(){
        var $this = $(this);
        $this.addClass('hover');
    }).on('touchend', '.contactSupport', function(){
        var $this = $(this);
        $this.removeClass('hover');
    });

    /*弹框关闭按钮点击*/
    $supportContent.on('click', '.dialogClose', function(){
        var $this = $(this);
        $this.parents('.supportContent').addClass('hide');
    });

    $supportContent.on('click',function(e){
        var $this = $(this);
        var $target = $(e.target);
        if($target.hasClass('.supportDialog') || $target.parents('.supportDialog').length){
            return;
        }
        $this.addClass('hide');
    });

})(jQuery);